[Debian-hebrew-package] [svn] r357 - in pkg/user-he/trunk: debian scripts

Baruch Even baruch at costa.debian.org
Fri Feb 3 10:53:43 UTC 2006


Author: baruch
Date: Fri Feb  3 10:53:42 2006
New Revision: 357

Modified:
   pkg/user-he/trunk/debian/changelog
   pkg/user-he/trunk/scripts/hebrew-settings
Log:
Do the parameter parsing properly, give a message if an invalid parameter is provided.

Modified: pkg/user-he/trunk/debian/changelog
==============================================================================
--- pkg/user-he/trunk/debian/changelog	(original)
+++ pkg/user-he/trunk/debian/changelog	Fri Feb  3 10:53:42 2006
@@ -1,11 +1,16 @@
 user-he (1.0.6) unstable; urgency=low
 
+  [ Lior Kaplan ]
   * Remove the dependencies on the Mozilla packages, since they aren't
     installable in SID.
-  * Add --notimezone to prevent hebrew-settings script from changing the 
+  * Add --notimezone to prevent hebrew-settings script from changing the
     timezone of the system.
 
- -- Lior Kaplan <webmaster at guides.co.il>  Thu,  2 Feb 2006 21:38:47 +0200
+  [ Baruch Even ]
+  * Do the parameter parsing properly, give a message if an invalid parameter
+    is provided.
+
+ -- Baruch Even <baruch at debian.org>  Fri,  3 Feb 2006 10:52:34 +0000
 
 user-he (1.0.5) unstable; urgency=low
 

Modified: pkg/user-he/trunk/scripts/hebrew-settings
==============================================================================
--- pkg/user-he/trunk/scripts/hebrew-settings	(original)
+++ pkg/user-he/trunk/scripts/hebrew-settings	Fri Feb  3 10:53:42 2006
@@ -24,10 +24,26 @@
 	exit 1
 fi
 
+# Parse arguments
+enabled=0
+timezone=1
+
+while [ $# -gt 0 ]
+do
+    case "$1" in
+        --enabled)  enabled=1;;
+	--notimezone) timezone=0;;
+	*)
+            echo >&2 "usage: $0 [--enabled] [--notimezone]"
+	    exit 1;;
+    esac
+    shift
+done
+
 # reconfigure time zone
 echo "Reconfigure the systems time zone..."
 if [ -f /usr/share/zoneinfo/Asia/Jerusalem ]; then
-	if [[ "$1" != "--notimezone" && "$2" != "--notimezone" ]]; then
+	if [[ $timezone == 1 ]]; then
 		debconf-set-selections << __END__
 	
 		# tzconfig preseed
@@ -50,7 +66,7 @@
 # reconfigure locales
 echo "Reconfigure the locales package..."
 if [ -e /var/lib/dpkg/info/locales.postinst ]; then
-	if [[ "$1" == "--enabled" || "$2" == "--enabled" ]]; then
+	if [[ $enabled == 0 ]]; then
 		debconf-set-selections << __END__
 
 		# locales preseed for enabled system
@@ -242,7 +258,7 @@
 	# On a Hebrew desktop set panel to rtl view
 	# If enabled flag is on make sure desktop is set for english !
 	# FIXME: this only work if the user did not set up his desktop, and he use the defaults.
-	if [[ "$1" == "--enabled" || "$2" == "--enabled" ]]; then
+	if [[ $enabled == 1 ]]; then
 		# this is for latin interface 
 		# we _need_ this to set an enabled system after hebrew install
 		gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults \



More information about the Debian-hebrew-package mailing list